import request from "../request";
//获取登录
export function loginJoggle(data) {
  return request({
    url: "api/login.php",
    method: "post",
    data,
  });
}
//获取line
export function getqueryLineApi(data) {
  return request({
    url: "api/queryLine.php",
    method: "get",
    params: data,
    headers: {
      "Content-Type": "application/x-www-form-urlencoded;charset=UTF-8",
    },
  });
}
export function getqueryTermsApi(data) {
  return request({
    url: "api/queryTerms.php",
    method: "get",
    params: data,
    headers: {
      "Content-Type": "application/x-www-form-urlencoded;charset=UTF-8",
    },
  });
}
//获取规约

export function getqueryProtocolApi(data) {
  return request({
    url: "api/queryProtocol.php",
    method: "get",
    params: data,
    headers: {
      "Content-Type": "application/x-www-form-urlencoded;charset=UTF-8",
    },
  });
}

//运维，快心跳
export function getdoActionApi(data) {
  return request({
    url: "api/doAction.php",
    method: "get",
    params: data,
    headers: {
      "Content-Type": "application/x-www-form-urlencoded;charset=UTF-8",
    },
  });
}
//上传日志列表
export function getqueryUploadsApi(data) {
  return request({
    url: "api/queryUploads.php",
    method: "get",
    params: data,
    headers: {
      "Content-Type": "application/x-www-form-urlencoded;charset=UTF-8",
    },
  });
}
//删除日志列表
export function updUploadApi(data) {
  return request({
    url: "api/updUpload.php",
    method: "get",
    params: data,
    headers: {
      "Content-Type": "application/x-www-form-urlencoded;charset=UTF-8",
    },
  });
}

//获取信息装置的信息
export function getqueryRawApi(data) {
  return request({
    url: "api/queryRawData.php",
    method: "get",
    params: data,
    headers: {
      "Content-Type": "application/x-www-form-urlencoded;charset=UTF-8",
    },
  });
}

//带下发状态
export function getqueryCmdsApi(data) {
  return request({
    url: "api/queryCmds.php",
    method: "get",
    params: data,
    headers: {
      "Content-Type": "application/x-www-form-urlencoded;charset=UTF-8",
    },
  });
}

//上传apk

export function postuploadFileApi(data) {
  return request({
    url: "api/uploadFile.php",
    method: "post",
    params: data,
    headers: {
      "Content-Type": "multipart/form-data", // set the content type to multipart/form-data
    },
  });
}
//获取上传列表
export function getqueryUpgradesApi(data) {
  return request({
    url: "api/queryUpgrades.php",
    method: "get",
    params: data,
    headers: {
      "Content-Type": "application/x-www-form-urlencoded;charset=UTF-8",
    },
  });
}

//删除列表
export function getupdUpgradeApi(data) {
  return request({
    url: "api/updUpgrade.php",
    method: "get",
    params: data,
    headers: {
      "Content-Type": "application/x-www-form-urlencoded;charset=UTF-8",
    },
  });
}

//新建活动和删除活动

export function updActivityApi(data) {
  return request({
    url: "api/updActivity.php",
    method: "post",
    data,
    headers: {
      "Content-Type": "multipart/form-data", // set the content type to multipart/form-data
    },
  });
}

//获取活动列表和详细列表
export function getqueryActivityApi(data) {
  return request({
    url: "api/queryActivity.php",
    method: "get",
    params: data,
    headers: {
      "Content-Type": "application/x-www-form-urlencoded;charset=UTF-8",
    },
  });
}

export function updComment(data) {
  return request({
    url: "api/updComment.php",
    method: "get",
    params: data,
    headers: {
      "Content-Type": "application/x-www-form-urlencoded;charset=UTF-8",
    },
  });
}
